> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Action



## OpenAPI

````yaml /openapi.json get /v1/api-performance/actions/{action_id}
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/actions/{action_id}:
    get:
      tags:
        - API Performance
      summary: Retrieve Action
      operationId: api_performance_actions_retrieve
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            title: Action Id
        - name: include_prompt
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Prompt
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicActionDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicActionDetailResponse:
      properties:
        data:
          $ref: '#/components/schemas/PublicApiPerformanceAction'
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
      type: object
      required:
        - data
      title: PublicActionDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiPerformanceAction:
      properties:
        id:
          type: string
          title: Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        action_type:
          type: string
          title: Action Type
        status:
          type: string
          title: Status
        priority:
          type: string
          title: Priority
        confidence:
          type: number
          title: Confidence
        effort:
          type: string
          title: Effort
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        primary_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Url
        affected_urls:
          items:
            type: string
          type: array
          title: Affected Urls
        evidence:
          additionalProperties: true
          type: object
          title: Evidence
        recommendation:
          additionalProperties: true
          type: object
          title: Recommendation
        impact:
          additionalProperties: true
          type: object
          title: Impact
        source:
          type: string
          title: Source
        fingerprint:
          type: string
          title: Fingerprint
        owner_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner User Id
        ignored_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ignored Reason
        first_seen_at:
          anyOf:
            - type: string
            - type: 'null'
          title: First Seen At
        last_seen_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Seen At
        resolved_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved At
        verified_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Verified At
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - action_type
        - status
        - priority
        - confidence
        - effort
        - title
        - description
        - source
        - fingerprint
      title: PublicApiPerformanceAction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````